Skip to main content
POST
创建主密码

授权

Authorization
string
header
必填

Public API bearer credential sent as Authorization: Bearer <token>. Use either an OAuth access token or a Hybridbox Service account token.

路径参数

account_id
string<uuid>
必填

请求体

application/json

在账户路径作用域下创建主密码的请求。

name
string
必填

主密码显示名称

Required string length: 1 - 100
domain
string | null

主密码作用域的域 UUID 或域名

generate
boolean
默认值:false

生成主密码密钥,而不是提供一个

value
string | null

未生成时的主密码密钥值

Required string length: 4 - 256
workspace_id
string<uuid> | null

主密码的工作区 UUID 作用域

响应

created_at
string
必填

主密码创建时间戳

id
string<uuid>
必填

主密码 UUID

name
string
必填

主密码显示名称

scope_id
string<uuid>
必填

主密码作用域的资源 UUID

scope_type
enum<string>
必填

主密码适用的资源作用域类型

可用选项:
account,
workspace,
domain
updated_at
string
必填

主密码最后更新时间戳

generated_secret
string | null

按请求返回的一次性生成主密码密钥